package org.goya.server.dynamic.dao;

import org.goya.server.dynamic.model.*;

import java.util.Collection;

public interface MetaModelDAO {

    public void makePersistent(MetaType metaType);
    public void makeTransient(MetaType metaType);
    public MetaType findMetaTypeByName(String name);

    public void makePersistent(Item item);
    public void makeTransient(Item item);
    public Collection findItemsByMetaType(MetaType metaType);
    public Collection findItemsByAttribute(MetaAttribute attribute);
    public Collection findItemsByAttributeValue(MetaAttributeType attributeType, Object attributeValue);

}
